function [x,y,z] = CC(rho,theta,phi)
%|---------------------------------------|
%|This function converts the cylindrical |
%|coordinates (rho, theta, phi) into the |
%|Cartesian coordinates (x,y,z).         |
%|---------------------------------------|
%Check consistency of vector entries
nr = length(rho);
nt = length(theta);
np = length(phi);
if nr ~= nt | nr ~= np | nt ~= np
   error('Function CC - vectors rho, theta, phi have incompatible dimensions')
   abort
end

%Calculate coordinates if vector lengths are consistent
x=rho.*sin(phi).*cos(theta); 
y=rho.*sin(phi).*sin(theta);
z=rho.*cos(phi);
