function [] = FlowClassification()
%|-------------------------------------|
%| This function classifies a flow     |
%| according to the values of the      |
%| Reynolds (Re) and Mach (Ma).        |
%| Re <= 2000, laminar flow            |
%| 2000 < Re <= 5000, transitional flow|
%| Re > 5000, turbulent flow           |
%| Ma < 1, sub-sonic flow              |
%| Ma = 1, sonic flow                  |
%| Ma > 1, super-sonic flow            |
%|-------------------------------------|
%Request the input values of Re and Ma
Re = input('Enter value of the Reynolds number: \n');
Ma = input('Enter value of the Mach number:\n');
%Classify according to Re
if Re <= 2000   
   class = 'The flow is laminar ';
elseif Re > 2000 & Re <= 5000  
   class = 'The flow is transitional ';
else
   class = 'The flow is turbulent ';
end
%Classify according to Ma
if Ma < 1  
   class = strcat(class , ' and sub-sonic.'); 
elseif Ma == 1  
   class = strcat(class , ' and sonic.'); 
else
   class = strcat(class , ' and super-sonic.'); 
end
%Print result of classification
disp(class)
