function [C] = matrixmult(A,B)
%|--------------------------------------|
%| This function calculates the matrix  |
%| C(nxm) = A(nxp)*B(pxm)               |
%|--------------------------------------|
%First, check matrices compatibility
[nrA,ncA] = size(A);
[nrB,ncB] = size(B);
if ncA ~= nrB 
   error('matrixmult - incompatible matrices A and B');
   abort;
end
%Calculate matrix product
C = zeros(nrA,ncB);
for i = 1:nrA
    for j = 1:ncB
        for k = 1:ncA
            C(i,j) = C(i,j) + A(i,k)*B(k,j);
        end
    end
end
