function [S] = sum2(n)
%|----------------------------------------|
%| This function calculates the summation |
%|                                        |
%|                       n                |
%|                 \---------             |
%|                  \    1                |
%|        S(n) =     \ ______             |
%|                   /   2                |
%|                  /   k + 1             |
%|                 /---------             |
%|                     k = 0              |
%|                                        |
%| Matrix input and output is allowed.    |
%|----------------------------------------|
[nr,nc] = size(n); %Size of input matrix
S = zeros(nr,nc);  %Initialize sums to zero
%loop for calculating summation matrix
for i = 1:nr               %sweep by rows
    for j = 1:nc           %sweep by columns
        k = 0;             %initialize index to zero
        while k <= n(i,j)
            S(i,j) = S(i,j) + 1/(k^2+1);  
            k = k + 1;        
        end
    end
end
