function [S] = sum2x2(n,m)
%|---------------------------------------|
%| This function calculates the double   |
%| summation:                            |
%|            n        m                 |
%|         \------  \------              |
%|          \        \          1        |
%| S(n,m) =  \        \    ----------    |
%|           /        /         2        |
%|          /        /     (i+j) + 1     |
%|         /------  /------              |
%|           i=0      j=0                |
%|---------------------------------------|
%|Note: the function only takes scalar   |
%|values of n and m and returns a single |
%|value.  An error is reported if n or m |
%|are vectors or matrices.               |
%|---------------------------------------|
%Check if m or n are matrices
if length(n)>1 | length(m)>1 then
   error('sum2 - n,m must be scalar values')
   abort
end
%Calculate summation if n and m are scalars
S = 0;                    %initialize sum
for i = 1:n              %sweep by index i
    for j = 1:m          %sweep by index j
        S = S + 1/((i+j)^2+1);
    end
end
